



import 'package:json_annotation/json_annotation.dart';

import '../../../base/app_base_request.dart';

part 'notification_report_request.g.dart';

@JsonSerializable()
class NotificationReportRequest extends AppBaseRequest {
  @JsonKey(name: 'deviceToken')
  String deviceToken;

  NotificationReportRequest({required this.deviceToken});

  factory NotificationReportRequest.fromJson(Map<String, dynamic> json) =>
      _$NotificationReportRequestFromJson(json);

  @override
  Map<String, dynamic> toJson() => _$NotificationReportRequestToJson(this);
}